package com.casic.dcms.ui;

import android.widget.LinearLayout;

import androidx.core.content.ContextCompat;
import androidx.fragment.app.Fragment;

import com.casic.dcms.R;
import com.casic.dcms.adapter.SubViewPagerAdapter;
import com.casic.dcms.base.AndroidxBaseActivity;
import com.casic.dcms.databinding.ActivityCaseUrgentBinding;
import com.casic.dcms.ui.fragment.urgent.CaseHandledFragment;
import com.casic.dcms.ui.fragment.urgent.CaseTodoFragment;
import com.casic.dcms.utils.Constant;

import java.util.ArrayList;
import java.util.List;

public class UrgentCaseActivity extends AndroidxBaseActivity<ActivityCaseUrgentBinding> {

    @Override
    protected void setupTopBarLayout() {
        viewBinding.titleBarLayout.titleView.setText("紧急要件");
        viewBinding.titleBarLayout.leftBackView.setOnClickListener(v -> finish());
    }

    @Override
    protected void initData() {
        List<Fragment> fragmentList = new ArrayList<>();
        fragmentList.add(new CaseTodoFragment());
        fragmentList.add(new CaseHandledFragment());
        SubViewPagerAdapter adapter = new SubViewPagerAdapter(getSupportFragmentManager(), Constant.CASE_PAGE_TITLES, fragmentList);
        viewBinding.urgentViewPager.setAdapter(adapter);
        //绑定TabLayout
        viewBinding.urgentTabLayout.setupWithViewPager(viewBinding.urgentViewPager);
        LinearLayout linearLayout = (LinearLayout) viewBinding.urgentTabLayout.getChildAt(0);
        linearLayout.setShowDividers(LinearLayout.SHOW_DIVIDER_MIDDLE);
        linearLayout.setDividerDrawable(ContextCompat.getDrawable(this, R.drawable.layout_divider_vertical));
    }

    @Override
    protected void initEvent() {

    }
}